Retrieve list of survey response objects

Returns a list of responses in paginated form back to the client.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
surveyType
array of objects

Filters out responses based on survey type. If empty, returns responses for all survey types.

surveyType
Allowed:
string

the starting cursor index for filtering responses. If cursor is specified, but not size, then size defaults to 500. If size is specified, but not cursor, then cursor defaults to the first response after beginTime.

integer
0 to 500
Defaults to 500

The max number of responses to return. If cursor is specified, but not size, then size defaults to 500. If size is specified, but not cursor, then cursor defaults to the first response after beginTime. Max size is 500 otherwise returns a 400 error code

int64
required

Timestamp to start search from, epoch time in milliseconds. endTime should be greater than beginTime and both should be within the merchant's subscription.

int64
required

Timestamp to stop searching at, epoch time in milliseconds. endTime should be greater than beginTime and both should be within the merchant's subscription.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json